Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum ContactGroup.PROPERTY

    java.lang.Object
      java.lang.Enum<ContactGroup.PROPERTY>
          com.skype.api.ContactGroup.PROPERTY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ContactGroup.PROPERTY>

Enclosing class:
  ContactGroup

    public static enum ContactGroup.PROPERTY

extends java.lang.Enum<ContactGroup.PROPERTY>

Properties of the ContactGroup class

Enum Constant Summary
`custom_group_id` unique 32-bit ID for custom groups, type: int
`given_displayname` change via ContactGroup.GiveDisplayname(), type: String
`nrofcontacts` Number of contacts in the group.
`nrofcontacts_online` number of contacts online in the group, type: int
`type` ContactGroup.TYPE, type: TYPE

Method Summary
`static ContactGroup.PROPERTY` | `fromString(java.lang.String s)`
`static ContactGroup.PROPERTY` | `get(int code)`
`int` | `getId()`
`static ContactGroup.PROPERTY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContactGroup.PROPERTY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### type

    public static final ContactGroup.PROPERTY type

  ContactGroup.TYPE, type: TYPE

### custom_group_id

    public static final ContactGroup.PROPERTY custom_group_id

  unique 32-bit ID for custom groups, type: int

### given_displayname

    public static final ContactGroup.PROPERTY given_displayname

  change via ContactGroup.GiveDisplayname(), type: String

### nrofcontacts

    public static final ContactGroup.PROPERTY nrofcontacts

  Number of contacts in the group. NB! The value of this property does not get updated until 5 seconds after account login. During these initial 5 seconds, the value of this property remains 0. The reason for this 5 second delay is to reduce the flurry of property update traffic that occurs during the CBL synchronization phase, following successful login. Note that if you absolutely need to have this value immediately after login, you can still get it by retrieving the contact list with ContactGroup.GetContacts method and examining its size.
  , type: int

### nrofcontacts_online

    public static final ContactGroup.PROPERTY nrofcontacts_online

  number of contacts online in the group, type: int

Method Detail

### values

    public static ContactGroup.PROPERTY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContactGroup.PROPERTY c : ContactGroup.PROPERTY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContactGroup.PROPERTY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static ContactGroup.PROPERTY get(int code)

### fromString

    public static ContactGroup.PROPERTY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.